From: "Ian Delaney (idella4)" <idella4@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in dev-python/flake8: flake8-2.1.0.ebuild ChangeLog
Date: Fri, 6 Jun 2014 08:58:41 +0000 (UTC) [thread overview]
Message-ID: <20140606085841.A3D5A2004E@flycatcher.gentoo.org> (raw)
idella4 14/06/06 08:58:41
Modified: flake8-2.1.0.ebuild ChangeLog
Log:
add missing keyword, exclude rogue test, drop py2.6 add py3.4
(Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 0xB8072B0D)
Revision Changes Path
1.5 dev-python/flake8/flake8-2.1.0.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flake8/flake8-2.1.0.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flake8/flake8-2.1.0.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flake8/flake8-2.1.0.ebuild?r1=1.4&r2=1.5
Index: flake8-2.1.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/flake8/flake8-2.1.0.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- flake8-2.1.0.ebuild 25 Apr 2014 14:24:25 -0000 1.4
+++ flake8-2.1.0.ebuild 6 Jun 2014 08:58:41 -0000 1.5
@@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/flake8/flake8-2.1.0.ebuild,v 1.4 2014/04/25 14:24:25 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/flake8/flake8-2.1.0.ebuild,v 1.5 2014/06/06 08:58:41 idella4 Exp $
EAPI=5
-PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )
+PYTHON_COMPAT=( python{2_7,3_2,3_3,3_4} )
inherit distutils-r1
@@ -12,7 +12,7 @@
HOMEPAGE="http://bitbucket.org/tarek/flake8"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-KEYWORDS="~amd64 ~hppa ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm ~hppa ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
LICENSE="MIT"
SLOT="0"
@@ -27,6 +27,12 @@
dev-python/nose[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}] )"
+python_prepare_all() {
+ # This tests requires / assumes this version is already installed.
+ sed -e 's:test_register_extensions:_&:' -i flake8/tests/test_engine.py || die
+ distutils-r1_python_prepare_all
+}
+
python_test() {
esetup.py test
}
1.12 dev-python/flake8/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flake8/ChangeLog?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flake8/ChangeLog?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flake8/ChangeLog?r1=1.11&r2=1.12
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/flake8/ChangeLog,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- ChangeLog 4 May 2014 16:16:02 -0000 1.11
+++ ChangeLog 6 Jun 2014 08:58:41 -0000 1.12
@@ -1,6 +1,9 @@
# ChangeLog for dev-python/flake8
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/flake8/ChangeLog,v 1.11 2014/05/04 16:16:02 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/flake8/ChangeLog,v 1.12 2014/06/06 08:58:41 idella4 Exp $
+
+ 06 Jun 2014; Ian Delaney <idella4@gentoo.org> flake8-2.1.0.ebuild:
+ add missing keyword, exclude rogue test, drop py2.6 add py3.4
04 May 2014; Markus Meier <maekke@gentoo.org> flake8-2.0.ebuild:
add ~arm, bug #508282
next reply other threads:[~2014-06-06 8:58 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-06-06 8:58 Ian Delaney (idella4) [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-04-08 8:05 [gentoo-commits] gentoo-x86 commit in dev-python/flake8: flake8-2.1.0.ebuild ChangeLog Michal Gorny (mgorny)
2015-03-09 21:26 Mike Gilbert (floppym)
2014-11-03 11:20 Agostino Sarubbo (ago)
2014-11-03 11:20 Agostino Sarubbo (ago)
2014-03-30 13:59 Ian Delaney (idella4)
2014-03-19 23:12 Sebastien Fabbro (bicatali)
2014-01-09 21:54 Matt Thode (prometheanfire)
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20140606085841.A3D5A2004E@flycatcher.gentoo.org \
--to=idella4@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox